<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFPatternFillProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFPatternFillProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFPatternFillProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPicture.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFPatternFillProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel</div>
    <h2 title="Class XDDFPatternFillProperties" class="title">Class XDDFPatternFillProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.XDDFPatternFillProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                           title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFPatternFillProperties</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
              title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#XDDFPatternFillProperties--">XDDFPatternFillProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#XDDFPatternFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties-">XDDFPatternFillProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#getBackgroundColor--">getBackgroundColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#getForegroundColor--">getForegroundColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#getPresetPattern--">getPresetPattern</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#setBackgroundColor-org.apache.poi.xddf.usermodel.XDDFColor-">setBackgroundColor</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#setForegroundColor-org.apache.poi.xddf.usermodel.XDDFColor-">setForegroundColor</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html#setPresetPattern-org.apache.poi.xddf.usermodel.PresetPattern-">setPresetPattern</a></span>(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&nbsp;pattern)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFPatternFillProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFPatternFillProperties</h4>
                                <pre>public&nbsp;XDDFPatternFillProperties()</pre>
                            </li>
                        </ul>
                        <a name="XDDFPatternFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFPatternFillProperties</h4>
                                <pre>protected&nbsp;XDDFPatternFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getPresetPattern--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPresetPattern</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&nbsp;getPresetPattern()</pre>
                            </li>
                        </ul>
                        <a name="setPresetPattern-org.apache.poi.xddf.usermodel.PresetPattern-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPresetPattern</h4>
                                <pre>public&nbsp;void&nbsp;setPresetPattern(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/PresetPattern.html"
                                        title="enum in org.apache.poi.xddf.usermodel">PresetPattern</a>&nbsp;pattern)</pre>
                            </li>
                        </ul>
                        <a name="getBackgroundColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackgroundColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;getBackgroundColor()</pre>
                            </li>
                        </ul>
                        <a name="setBackgroundColor-org.apache.poi.xddf.usermodel.XDDFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBackgroundColor</h4>
                                <pre>public&nbsp;void&nbsp;setBackgroundColor(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="getForegroundColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getForegroundColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                                    title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;getForegroundColor()</pre>
                            </li>
                        </ul>
                        <a name="setForegroundColor-org.apache.poi.xddf.usermodel.XDDFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setForegroundColor</h4>
                                <pre>public&nbsp;void&nbsp;setForegroundColor(<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFPatternFillProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPathShadeProperties.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xddf/usermodel/XDDFPicture.html"
               title="class in org.apache.poi.xddf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xddf/usermodel/XDDFPatternFillProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFPatternFillProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
